Subject: bug#37782: Emacs 27 client adding [I] to the beginning of the

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Dec 2019 11:33:55 +0200

> From: Joseph Mingrone <[email-masked]>
> Cc: emacs-devel <[email-masked]>, [email-masked]
> Date: Fri, 08 Nov 2019 01:09:27 -0400
> 
> Hello Carlos and Eli,
> 
> The fix for bug#37782 in commit e3cebbb (2019-10-19) introduced an error
> when starting emacsclient.
> 
>     undefined: KEY must be an integer, cons, symbol, or string
> 
> I think the message is from keymap.c around line 2279.
> 
> This error is reproducible and is happening on FreeBSD (versions 12.0
> and 12.1 confirmed).

No response from Carlos in a month, so I tried to fix this bug as best
as I could.  Joseph, could you please see if your problem is solved by
the latest master branch?

Carlos, if you are still here, please test if your original problem is
still solved, or did I re-introduce it by the fix.

Thanks.